| Home | Libraries | People | FAQ | More

## Struct template impl

boost::proto::switch_::impl

## Synopsis

    // In header: <boost/proto/matches.hpp>

    template<typename Expr, typename State, typename Data>
    struct impl :
        Cases::template case_<
          typename when<_, Transform>::template impl<Expr, State, Data>::result_type
        >::template impl<Expr, State, Data>
    {
    };